Subject: Re: linux-next: driver-core tree build failure

From: Greg KH <[email-masked]>
Date: Tue, 12 May 2009 17:13:17 -0700

On Mon, May 11, 2009 at 09:05:18PM -0700, Greg KH wrote:
> On Tue, May 12, 2009 at 01:44:01PM +1000, Stephen Rothwell wrote:
> > Hi Greg,
> > 
> > Today's linux-next build (powerpc_ppc64_defconfig) failed like this:
> > 
> > In file included from arch/powerpc/platforms/ps3/platform.h:28,
> >                  from arch/powerpc/platforms/ps3/mm.c:32:
> > arch/powerpc/include/asm/ps3.h: In function 'ps3_system_bus_set_driver_data':
> > arch/powerpc/include/asm/ps3.h:424: error: 'struct device' has no member named 'driver_data'
> > arch/powerpc/include/asm/ps3.h: In function 'ps3_system_bus_get_driver_data':
> > arch/powerpc/include/asm/ps3.h:429: error: 'struct device' has no member named 'driver_data'
> > 
> > Caused (obviously) by commit 9499952d8efc857406365bfc04079ff1e85660ff
> > ("Driver core: move dev_get/set_drvdata to drivers/base/dd.c") which I
> > have reverted.
> > 
> > Grep is your friend ...
> 
> Do you know how many false-positives there currently are for hitting
> driver_data?  It's insane...  I got 'make allmodconfig' working for
> i386, x86-64, and s390, and I thought ps3 as well, sorry about that.
> 
> > Actually there is a patch for this ...
> > http://patchwork.ozlabs.org/patch/27061/ ... also for another ...
> > http://patchwork.ozlabs.org/patch/27062/
> > 
> > Please leave the above commit out of the tree until you have at least
> > fixed all the in tree users.

I've now dropped the offending patch and will work to fix up the rest of
these before adding it back.

thanks,

greg k-h